U1=200; F0=0.183; R=0.96; Td=5.5e-3; p=4;Ld=5.25e-3;
Tf=0;Tq=0.6*Td; Lq=0.6*Ld;
w=0:10:800; wm=w./p;
Id=(U1*sin(2*w.*Tf)+w.*Td.*(U1*cos(2*w.*Tf)-w.*F0))./(R*(1+Td*Tq*(w.^2)));
Iq=(U1*cos(2*w.*Tf)-w.*F0-w.*Tq.*U1.*sin(2*w.*Tf))./(R*(1+Td*Tq*(w.^2)));
M=1.5*p*F0*Iq;
m=1.5*p*(Ld-Lq)*Id.*Iq;
Moment=M+m;
I1=sqrt(Id.^2+Iq.^2);

Tq1=0.8*Td; Lq1=0.8*Ld;
w1=0:10:700; wm1=w1./p;
Id1=(U1*sin(2*w1.*Tf)+w1.*Td.*(U1*cos(2*w1.*Tf)-w1.*F0))./(R*(1+Td*Tq1*(w1.^2)));
Iq1=(U1*cos(2*w1.*Tf)-w1.*F0-w1.*Tq1.*U1.*sin(2*w1.*Tf))./(R*(1+Td*Tq1*(w1.^2)));
M1=1.5*p*F0*Iq1;
m1=1.5*p*(Ld-Lq1)*Id1.*Iq1;
Moment1=M1+m1;
I11=sqrt(Id1.^2+Iq1.^2);

Tq2=Td; Lq2=Ld;
w2=0:10:600; wm2=w2./p;
Id2=(U1*sin(2*w2.*Tf)+w2.*Td.*(U1*cos(2*w2.*Tf)-w2.*F0))./(R*(1+Td*Tq2*(w2.^2)));
Iq2=(U1*cos(2*w2.*Tf)-w2.*F0-w2.*Tq2.*U1.*sin(2*w2.*Tf))./(R*(1+Td*Tq2*(w2.^2)));
M2=1.5*p*F0*Iq2;
m2=1.5*p*(Ld-Lq2)*Id2.*Iq2;
Moment2=M2+m2;
I12=sqrt(Id2.^2+Iq2.^2);

plot(Moment,Id,Moment,Iq);
hold on
plot(Moment1,Id1,Moment1,Iq1);
plot(Moment2,Id2,Moment2,Iq2);
hold off
text(100,225,'U1=200V, Td=5.5 ms');
text(220,190,'Id=f(M)');
text(225,25,'Iq=f(M)');
text(90,110,'Tq=Td');
text(180,130,'Tq=0.8Td');
text(310,120,'Tq=0.6Td');
grid on;
ylabel('Current Id,Iq (A)');
xlabel('Moment(Nm)');