U1=200; F0=0.183; R=0.96; Td=5.5e-3; p=4;Ld=5.25e-3;
Tf=0;Tq=0.8*Td;Lq=0.8*Ld; 
w=0:1:1000; wm=w./p;
a=w.*Tf;
Id=(U1*sin(a)+Tq*w.*(U1*cos(a)-w.*F0))./(R*((1+Td*Tq*w.^2)));
Iq=(U1*cos(a)-w.*F0-w.*Td.*U1.*sin(a))./(R*((1+Td*Tq*w.^2)));
M=1.5*p*F0*Iq;
m=1.5*p*(Ld-Lq)*Id.*Iq;
Moment=M+m;
I1=sqrt(Id.^2+Iq.^2);

Tf1=0.2*Td;Tq1=0.8*Td;Lq1=0.8*Ld; 
w1=0:1:330; wm1=w1./p;
a1=w1.*Tf1;
Id1=(U1*sin(a1)+Tq1*w1.*(U1*cos(a1)-w1.*F0))./(R*((1+Td*Tq1*w1.^2)));
Iq1=(U1*cos(a1)-w1.*F0-w1.*Td.*U1.*sin(a1))./(R*((1+Td*Tq1*w1.^2)));
M1=1.5*p*F0*Iq1;
m1=1.5*p*(Ld-Lq1)*Id1.*Iq1;
Moment1=M1+m1;
I11=sqrt(Id1.^2+Iq1.^2);

Tf2=0.4*Td;Tq2=0.8*Td;Lq2=0.8*Ld; 
w2=0:1:240; wm2=w2./p;
a2=w2.*Tf2;
Id2=(U1*sin(a2)+Tq2*w2.*(U1*cos(a2)-w2.*F0))./(R*((1+Td*Tq2*w2.^2)));
Iq2=(U1*cos(a2)-w2.*F0-w2.*Td.*U1.*sin(a2))./(R*((1+Td*Tq2*w2.^2)));
M2=1.5*p*F0*Iq2;
m2=1.5*p*(Ld-Lq2)*Id2.*Iq2;
Moment2=M2+m2;
I12=sqrt(Id2.^2+Iq2.^2);

plot(Moment,wm,Moment,I1);
hold on;
plot(Moment1,wm1,Moment1,I11);
plot(Moment2,wm2,Moment2,I12);
hold off;

text(100,225,'U1=200V, Td=5.5 ms,Tq=0.8Td');
text(210,175,'I1=f(M)');
text(210,35,'wm=f(M)');
text(80,75,'Tf=0');
text(-40,75,'Tf=0.2Td');
text(20,40,'Tf=0.4Td');
grid on;
ylabel('Current(A), Speed (rad/s)');
xlabel('Moment(Nm)');